Get Slashings information for all Validators.
curl --request GET \
--url https://api.rated.network/v1/eth/validators/slashings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/eth/validators/slashings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/eth/validators/slashings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "https://api.rated.network//v1/eth/validators/slashings?limit=10&offset=30",
"pages": 10,
"previous": "https://api.rated.network//v1/eth/validators/slashings?limit=10&offset=10",
"results": [
[
{
"balanceBeforeSlashing": 32001900366,
"balanceBeforeWithdrawal": 30980804667,
"slashingEpoch": 203644,
"slashingPenalties": 1021095699,
"validatorIndex": 516858,
"validatorPubkey": "0xafa647044b05fd7d7f3cfd806170fc9774bf37cbcfd4f083528522bb2a011e57f3af00f8bb8435a9d3316816e4cdb022",
"withdrawableEpoch": 211836
}
]
]
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Metadata
Get Slashings information for all Validators.
This endpoint returns information about the slashings for all validators.
GET
/
v1
/
eth
/
validators
/
slashings
Get Slashings information for all Validators.
This endpoint is available only to annual commitment and custom Enterprise plans. Get in touch with [email protected] to learn more.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Query Parameters
The number of results returned per page
The number of results to skip before starting to return
The filter you want results to be sorted by
The sort order for the results
Available options:
asc, desc